### Method

# Adw Squeezer get_pages

#### Declaration [src]

    GtkSelectionModel*
    adw_squeezer_get_pages (
      AdwSqueezer* self
    )

#### Description [src]

Returns a `GListModel` that contains the pages of `self`.

This can be used to keep an up-to-date view. The model also implements `GtkSelectionModel` and can be used to track the visible page.

Available since: | 1.0

Gets property | `Adw.Squeezer:pages`

#### Return value

Returns: | `GtkSelectionModel`
| A `GtkSelectionModel` for the squeezer’s children.
| The caller of the method takes ownership of the data, and is responsible for freeing it.